| OGRE 1.11.1 Object-Oriented Graphics Rendering Engine

Public Member Functions | List of all members
Ogre::Angle Class Reference
Core » Math

Wrapper class which identifies a value as the currently default angle type, as defined by Math::setAngleUnit. More...

`#include <OgreMath.h>`

## Public Member Functions
| Angle (Real angle)
| operator Degree () const
| operator Radian () const

## Detailed Description

Wrapper class which identifies a value as the currently default angle type, as defined by Math::setAngleUnit.

Remarks
  Angle values will be automatically converted between radians and degrees, as appropriate.

## Constructor & Destructor Documentation

## ◆ Angle()

Ogre::Angle::Angle | ( | Real | angle | ) |
| inline explicit

The documentation for this class was generated from the following file:

- OgreMath.h